// bareServer.js
import { createBareServer } from 'bare-server-node';
import http from 'http';

// Create the bare server
const bareServer = createBareServer('/bare/');

// Create an HTTP server to host the bare server
const server = http.createServer();

// Handle incoming requests
server.on('request', (req, res) => {
  if (bareServer.shouldRoute(req)) {
    bareServer.routeRequest(req, res);
  } else {
    res.writeHead(400);
    res.end('Not a bare request');
  }
});

// Handle server upgrades (for WebSockets)
server.on('upgrade', (req, socket, head) => {
  if (bareServer.shouldRoute(req)) {
    bareServer.routeUpgrade(req, socket, head);
  } else {
    socket.end();
  }
});

// Start the server
const PORT = 4000; // Use a different port than your Express server
server.listen(PORT, () => {
  console.log(`Bare server running on port ${PORT}`);
});